Package groovy.sql

# Class BatchingPreparedStatementWrapper

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.sql.BatchingStatementWrapper
groovy.sql.BatchingPreparedStatementWrapper

All Implemented Interfaces:
  `GroovyObject`, `AutoCloseable`

public class BatchingPreparedStatementWrapper extends BatchingStatementWrapper
Class which delegates to a PreparedStatement but keeps track of a batch count size. If the batch count reaches the predefined number, this Statement does an executeBatch() automatically. If batchSize is zero, then no batching is performed.

- ## Field Summary

  ### Fields inherited from class groovy.sql.BatchingStatementWrapper

  `batchCount, batchSize, log, results`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BatchingPreparedStatementWrapper(PreparedStatement delegate, List<Tuple> indexPropList, int batchSize, Logger log, Sql sql)`
  Creates a batching wrapper for a prepared statement.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addBatch(Object[] parameters)`
  Adds one parameter set to the batch using varargs-style arguments.
  `void`
  `addBatch(List<Object> parameters)`
  Adds one parameter set to the batch.

  ### Methods inherited from class groovy.sql.BatchingStatementWrapper

  `addBatch, addBatch, clearBatch, close, executeBatch, incrementBatchCount, invokeMethod, processResult, reset`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass, setMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `getProperty, setProperty`

- ## Constructor Details

  - ### BatchingPreparedStatementWrapper

    public BatchingPreparedStatementWrapper(PreparedStatement delegate, List<Tuple> indexPropList, int batchSize, Logger log, Sql sql)
    Creates a batching wrapper for a prepared statement.
    Parameters:
      `delegate` - the prepared statement to wrap
      `indexPropList` - indexed-property descriptors for named-parameter batches, or `null`
      `batchSize` - the automatic execution threshold; `0` disables automatic partitioning
      `log` - the logger to use for batch diagnostics
      `sql` - the owning `Sql` instance used to bind parameters

- ## Method Details

  - ### addBatch

    public void addBatch(Object[] parameters) throws SQLException
    Adds one parameter set to the batch using varargs-style arguments.
    Parameters:
      `parameters` - the parameter values for a single batch entry
    Throws:
      `SQLException` - if the batch entry cannot be added

  - ### addBatch

    public void addBatch(List<Object> parameters) throws SQLException
    Adds one parameter set to the batch.

    When the associated SQL uses named or named-ordinal parameters, the supplied values are first flattened into JDBC positional order.

    Parameters:
      `parameters` - the parameter values for a single batch entry
    Throws:
      `SQLException` - if the parameters cannot be bound or the batch entry cannot be added